#pragma once
#include "afxcmn.h"
#include "afxwin.h"


#define WM_UPTMSVEHICLEDATA WM_USER + 7
#define WM_UPTMPARKSTATUSDATA WM_USER + 8

class CTmsVehicleInfo
{
public:
	LONG m_lIndex;
	CString m_strCaptureTime;
	CString m_strTollgateID;
	LONG m_lLaneID;
	CString m_strCarPlate;
	LONG m_lColour;
};

class CTmsParkingStatusInfo
{
public:
	CString  m_strTollgateID;                       /*卡口编码*/
	CString  m_strSampleTime;
	INT32    m_lParkingLotID;                                     /*车位编码      车位编号从1开始，如两车位即编号1和2*/
	INT32    m_lParkingLotStatus;                                 /*车位状态       0-无车，1-有车，2-异常识别*/
	CString  m_strCarPlate;                         /*车牌号码 */
	INT32    m_lLedColour;                                        /*车位指示灯颜色 1-红色，2黄色，3-绿色*/
	INT32    m_lLedStatus;                                        /*车位指示灯状态 0-熄灭，1-长亮，2-快速闪烁，3慢速闪烁*/
};


VOID STDCALL TmsMultiPicDataCallBackFun(IN NETDEV_PIC_DATA_S *pstUniviewData, IN LPVOID lpUserParam);
// CCParkCarparkDlg 对话框

class CCParkCarparkDlg : public CDialog
{
	DECLARE_DYNAMIC(CCParkCarparkDlg)

public:
	CCParkCarparkDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CCParkCarparkDlg();

// 对话框数据
	enum { IDD = IDD_PARK_CARPARK_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedParkSetledcfgButton();
	afx_msg void OnBnClickedParkOutputButton();
	afx_msg void OnBnClickedParkStartstreamButton();
	afx_msg void OnBnClickedParkStopstreamButton();
	LRESULT OnUpdateParkStatusData(WPARAM wParam, LPARAM lParam);
	LRESULT OnUpdatevehicleData(WPARAM wParam, LPARAM lParam);
	virtual BOOL OnInitDialog();
	

public:
	INT32 m_Vecindex;
	INT32 m_Parkindex;
	INT32 m_dwKeepTime;
	CComboBox m_dwScenceType;
	INT32 m_dwEnable;
	CString m_strTextOne;
	CString m_strTextTwo;
	CString m_strTextThree;
	CString m_strTextFour;

	CString m_strLocalIP;
	int m_EnableRadio;
	CListCtrl m_ParkingStatusCtrl;
	CListCtrl m_vehicleStatusCtrl;
};
